# Select Menus

Home Search

## Select menus

- Basics
- Options
- Methods
- Events

The select menu plugin has the following methods:

`close` close an open select menu

      $('select').selectmenu('close');

`enable` enable a disabled select

      $('select').selectmenu('enable');

`disable` disable a select.

      $('select').selectmenu('disable');

`open` open a closed select menu (custom menus only)

      $('select').selectmenu('open');

`refresh` update the custom select
  This is used to update the custom select to reflect the native select element's value. If the number of options in the select are different than the number of items in the custom menu, it'll rebuild the custom menu. Also, if you pass a true argument you can force the rebuild to happen.

      //refresh value
      $('select').selectmenu('refresh');

      //refresh and force rebuild
      $('select').selectmenu('refresh', true);

### More in this section

- Form elements
- Form basics
- Form element gallery
- Mini form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms